Sets the object's default compression type

- « Imagick::setColorspace

- Imagick::setCompressionQuality »

- PHP Manual
- Imagick
- Sets the object's default compression type

# Imagick::setCompression

(PECL imagick 2, PECL imagick 3)

Imagick::setCompression — Sets the object's default compression type

### Description

public Imagick::setCompression(int `$compression`): bool

Sets the object's default compression type

### Parameters

`compression`

  The compression type. See the Imagick::COMPRESSION_* constants.

### Return Values

Returns `true` on success.